stages:
  - deploy

docker-deploy:
  stage: deploy
  # ジョブ実行内容
  script:
    # Dockerfileからcicd-demoイメージ生成
    - docker build -t cicd-demo .
    # すでに動いているコンテナーがある場合削除
    - if [ $(docker ps -aq --filter "name=cicd-demo") ]; then docker rm -f cicd-demo;fi
    # イメージからコンテナーを起動、 ホストの8000番ポートをコンテナの8000番ポートへマッピング
    - docker run -d -p 8000:8000 --name cicd-demo cicd-demo
  tags:
    # Jobを実行するホスト指定
    - cicd-runner
  only:
    # masterブランチが更新される場合のみ実行
    - master

